<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sgs_germano Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sgs_germano Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:abee683dfe7259e09f880dab5d155d272"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272">sgs_germano_average</a> (A, vdf)</td></tr>
<tr class="separator:abee683dfe7259e09f880dab5d155d272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb91a0f631d565f2db289f5abd7cc67e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#acb91a0f631d565f2db289f5abd7cc67e">sgs_germano_init</a> (vdf)</td></tr>
<tr class="separator:acb91a0f631d565f2db289f5abd7cc67e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad311760efc05bdc3fae6eb72f418a40b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#ad311760efc05bdc3fae6eb72f418a40b">sgs_germano_average_visc</a> (vdf)</td></tr>
<tr class="separator:ad311760efc05bdc3fae6eb72f418a40b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c30e0b428ebd1a8ef0f9aaec8172c4f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#a7c30e0b428ebd1a8ef0f9aaec8172c4f">sgs_germano_average_diff</a> (vdf)</td></tr>
<tr class="separator:a7c30e0b428ebd1a8ef0f9aaec8172c4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a0c4e6accd64d19b23d64a7a3e8b564"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#a7a0c4e6accd64d19b23d64a7a3e8b564">sgs_germano_average_zvar</a> (vdf)</td></tr>
<tr class="separator:a7a0c4e6accd64d19b23d64a7a3e8b564"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7548d71f34c719ecb2b5502d098e1459"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesgs__germano.html#a7548d71f34c719ecb2b5502d098e1459">sd</a></td></tr>
<tr class="separator:a7548d71f34c719ecb2b5502d098e1459"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="abee683dfe7259e09f880dab5d155d272"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abee683dfe7259e09f880dab5d155d272">&#9670;&nbsp;</a></span>sgs_germano_average()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sgs_germano::sgs_germano_average </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(<a class="el" href="namespacesgs__germano.html#a7548d71f34c719ecb2b5502d098e1459">sd</a>%imino_:,<a class="el" href="namespacesgs__germano.html#a7548d71f34c719ecb2b5502d098e1459">sd</a>%jmino_:,<a class="el" href="namespacesgs__germano.html#a7548d71f34c719ecb2b5502d098e1459">sd</a>%kmino_:), intent(inout)&#160;</td>
          <td class="paramname"><em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>vdf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d">sgs_tools::sgsmodel_apply_border()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_cgraph.png" border="0" usemap="#namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_cgraph" alt=""/></div>
<map name="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_cgraph" id="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_cgraph">
<area shape="rect" id="node2" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d" title="sgs_tools::sgsmodel\l_apply_border" alt="" coords="240,5,383,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_icgraph.png" border="0" usemap="#namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_icgraph" alt=""/></div>
<map name="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_icgraph" id="namespacesgs__germano_abee683dfe7259e09f880dab5d155d272_icgraph">
<area shape="rect" id="node2" href="namespacesgs__germano.html#ad311760efc05bdc3fae6eb72f418a40b" title="sgs_germano::sgs_germano\l_average_visc" alt="" coords="240,5,427,47"/>
<area shape="rect" id="node4" href="namespacesgs__germano.html#a7c30e0b428ebd1a8ef0f9aaec8172c4f" title="sgs_germano::sgs_germano\l_average_diff" alt="" coords="240,71,427,112"/>
<area shape="rect" id="node6" href="namespacesgs__germano.html#a7a0c4e6accd64d19b23d64a7a3e8b564" title="sgs_germano::sgs_germano\l_average_zvar" alt="" coords="240,136,427,177"/>
<area shape="rect" id="node3" href="namespacesgsmodel__m.html#aa2485df7aa7e8d70952f13e0070d7bc7" title="sgsmodel_m::sgsmodel\l_eddyvisc" alt="" coords="491,5,651,47"/>
<area shape="rect" id="node5" href="namespacesgsmodel__m.html#a0848ffbe1c8645bc01698ea59ba2d3ef" title="sgsmodel_m::sgsmodel\l_eddydiff" alt="" coords="491,71,651,112"/>
<area shape="rect" id="node7" href="namespacesgsmodel__m.html#a871523822ea10c6084074524c51e78c5" title="sgsmodel_m::sgsmodel_zvar" alt="" coords="475,143,667,170"/>
<area shape="rect" id="node8" href="namespacelink__vdf__routines.html#a64482d1e179a1c12b6aa4031d8f74db3" title="link_vdf_routines::\lsgsmodel_zvar_link" alt="" coords="737,37,874,79"/>
<area shape="rect" id="node9" href="namespacethf__sc__var__chi.html#a260a50b5b9b8f9529f201c67f6b11d37" title="Initialize Z^2 equation from dynamic model of ZVAR ! " alt="" coords="715,103,896,144"/>
<area shape="rect" id="node14" href="namespacethf__sc__var__chi.html#aac60246b66e84a9a50fe565d5706472e" title="Initialize ZVAR equation from dynamic model of ZVAR ! " alt="" coords="729,168,882,209"/>
<area shape="rect" id="node16" href="namespacethf__sc__var__chi.html#a650ca5a4c2dbc62ba648360853b112bd" title="Update scalar variance from dynamic model or SC^2 Eq. ! " alt="" coords="740,592,871,633"/>
<area shape="rect" id="node10" href="namespacethf__arts.html#a0c6cf259107a696d19833723c0d03ab9" title="thf_arts::thf_arts\l_zmix2_init_from_sgs" alt="" coords="1189,103,1339,144"/>
<area shape="rect" id="node11" href="namespacearts__func.html#a1f8cfb8bd3fc06d379b0b9539554f0f3" title="arts_func::arts_done" alt="" coords="1399,117,1541,143"/>
<area shape="rect" id="node13" href="namespacearts__md__func.html#ae769c91ee17b1eb3fca8d426eb4d2b08" title="arts_md_func::arts\l_md_done" alt="" coords="1405,168,1535,209"/>
<area shape="rect" id="node12" href="namespacearts__cf__func.html#a124a555cb80b9d7e11fef0268f3ec046" title="arts_cf_func::arts\l_cf_done" alt="" coords="1613,109,1737,151"/>
<area shape="rect" id="node15" href="namespacethf__arts.html#a689f9badae83371941ce0409992cd5c4" title="thf_arts::thf_arts\l_zvar_init_from_sgs" alt="" coords="1195,168,1333,209"/>
<area shape="rect" id="node17" href="namespacecombust__func.html#a68187994e8998ac79f0f9161e877fdec" title="generic prestep for combustion module (all solvers) ! &#160;cf thermofluid_prestep_lowMach/cf for specific..." alt="" coords="958,364,1121,405"/>
<area shape="rect" id="node29" href="namespacecombust__func.html#ac3e3b65fbd18528293109fe5f45ed495" title="Ignite the flow everywhere ! " alt="" coords="958,233,1121,275"/>
<area shape="rect" id="node31" href="namespacecombust__ann.html#ac7e06aedfd9d7700ef4ecc5bcaad8296" title="generic initialization of ANN module (all solvers) ! &#160;cf. combust_ANN_init_lowMach for specific proce..." alt="" coords="960,1004,1119,1045"/>
<area shape="rect" id="node38" href="namespacecombust__bs__chemtab.html#a30e79801772afd65fb18b252f3d367b9" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_bs_chemtab_init_lowMach for ..." alt="" coords="948,429,1131,471"/>
<area shape="rect" id="node39" href="namespacecombust__fpva.html#a385c796648b9f027a7f6aa40fe1bbc92" title="Generic initialization of combustion module (all solvers) " alt="" coords="958,625,1121,667"/>
<area shape="rect" id="node40" href="namespacecombust__multregime.html#a5b05fda90788d5402c3f5f2970867e6b" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_multregime_init_lowMach for ..." alt="" coords="952,691,1127,732"/>
<area shape="rect" id="node41" href="namespacecombust__premixed.html#aa529d01bd11ffb421e0b6f682679cd19" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_premixed_init_lowMach for sp..." alt="" coords="944,756,1135,797"/>
<area shape="rect" id="node42" href="namespacecombust__premrif.html#a410399def7a22b194682f21ce9886961" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_premrif_init_lowMach for spe..." alt="" coords="951,821,1128,863"/>
<area shape="rect" id="node43" href="namespacecombust__rfpva.html#a93e6d5334978926ff26885e24d73a7d6" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_RFPVA_init_lowMach for speci..." alt="" coords="956,495,1123,536"/>
<area shape="rect" id="node44" href="namespacecombust__rif__m.html#ae153d04dc774e9b4e751b79cf1c2a839" title="combust_rif_m::rif_init" alt="" coords="964,887,1115,914"/>
<area shape="rect" id="node45" href="namespacecombust__rif__m.html#a90e1a68312210d2ddea506ef1857ba29" title="combust_rif_m::rif\l_poststep" alt="" coords="976,299,1103,340"/>
<area shape="rect" id="node49" href="namespacecombust__steadyfla.html#accd50d82bee6f2ede79557e9a5e0372f" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_steadyfla_init_lowMach for s..." alt="" coords="961,560,1117,601"/>
<area shape="rect" id="node50" href="namespacecombust__uchi.html#a5eac996bbdba41f5f14bb80faf114403" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_uchi_init_lowMach for specif..." alt="" coords="959,939,1120,980"/>
<area shape="rect" id="node18" href="namespacethf__arts.html#a0b0e7ec0dbbeb3102fbb1929ba680bea" title="procedures once before each time step (lowMach solver)! " alt="" coords="1205,364,1323,405"/>
<area shape="rect" id="node23" href="namespacethf__arts__cf.html#ae23f3eecf46ea7ebdfbd875d77663255" title="procedures once before each time step (compressible) ! " alt="" coords="1196,495,1332,536"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="1403,364,1537,405"/>
<area shape="rect" id="node21" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="1400,429,1540,471"/>
<area shape="rect" id="node20" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1622,371,1729,398"/>
<area shape="rect" id="node22" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1622,437,1729,463"/>
<area shape="rect" id="node24" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="1393,495,1547,536"/>
<area shape="rect" id="node26" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="1406,560,1534,601"/>
<area shape="rect" id="node25" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1622,502,1729,529"/>
<area shape="rect" id="node27" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1622,622,1729,649"/>
<area shape="rect" id="node28" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1608,556,1743,597"/>
<area shape="rect" id="node30" href="namespacethf__arts.html#a333ce30828a0deab0efff6387fefb1e6" title="thf_arts::thf_arts\l_combust_ignite" alt="" coords="1205,233,1323,275"/>
<area shape="rect" id="node32" href="namespacecombust__func.html#a557da94e3f7e991b5cc64fbf2be82a94" title="combust_func::combust\l_init_part1" alt="" coords="1183,792,1345,833"/>
<area shape="rect" id="node33" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="1399,770,1541,797"/>
<area shape="rect" id="node36" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="1402,821,1538,863"/>
<area shape="rect" id="node34" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1595,770,1756,797"/>
<area shape="rect" id="node35" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1610,704,1741,745"/>
<area shape="rect" id="node37" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1613,821,1737,863"/>
<area shape="rect" id="node46" href="namespacecombust__func.html#a9a20268b33764429d6f330c3940d86d6" title="generic step for combustion module (all solvers) ! &#160;cf. combust_model_poststep_lowMach/cf for specifi..." alt="" coords="1183,299,1345,340"/>
<area shape="rect" id="node47" href="namespacethf__arts.html#ac2f8b5328ef6a51d6bd15b127e657520" title="procedures once during the iterations of each ! time step (lowMach solver) ! " alt="" coords="1411,233,1529,275"/>
<area shape="rect" id="node48" href="namespacethf__arts__cf.html#ad8f7d23c4b1e43bc68d48d38ef6c1ebf" title="thf_arts_cf::thf_arts\l_cf_poststep" alt="" coords="1402,299,1538,340"/>
</map>
</div>

</div>
</div>
<a id="a7c30e0b428ebd1a8ef0f9aaec8172c4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c30e0b428ebd1a8ef0f9aaec8172c4f">&#9670;&nbsp;</a></span>sgs_germano_average_diff()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sgs_germano::sgs_germano_average_diff </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesgs__tools.html#a18875c1dac1fc188eb6e80058669ec55">sgs_tools::lm</a>, <a class="el" href="namespacesgs__tools.html#a2938ad644f88920e7cb653d280ae5306">sgs_tools::mm</a>, and <a class="el" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272">sgs_germano_average()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_cgraph.png" border="0" usemap="#namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_cgraph" alt=""/></div>
<map name="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_cgraph" id="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_cgraph">
<area shape="rect" id="node2" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272" title="sgs_germano::sgs_germano\l_average" alt="" coords="240,5,427,47"/>
<area shape="rect" id="node3" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d" title="sgs_tools::sgsmodel\l_apply_border" alt="" coords="475,5,617,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_icgraph.png" border="0" usemap="#namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_icgraph" alt=""/></div>
<map name="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_icgraph" id="namespacesgs__germano_a7c30e0b428ebd1a8ef0f9aaec8172c4f_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#a0848ffbe1c8645bc01698ea59ba2d3ef" title="sgsmodel_m::sgsmodel\l_eddydiff" alt="" coords="240,5,400,47"/>
</map>
</div>

</div>
</div>
<a id="ad311760efc05bdc3fae6eb72f418a40b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad311760efc05bdc3fae6eb72f418a40b">&#9670;&nbsp;</a></span>sgs_germano_average_visc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sgs_germano::sgs_germano_average_visc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesgs__tools.html#a18875c1dac1fc188eb6e80058669ec55">sgs_tools::lm</a>, <a class="el" href="namespacesgs__tools.html#a2938ad644f88920e7cb653d280ae5306">sgs_tools::mm</a>, and <a class="el" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272">sgs_germano_average()</a>.</p>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_cgraph.png" border="0" usemap="#namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_cgraph" alt=""/></div>
<map name="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_cgraph" id="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_cgraph">
<area shape="rect" id="node2" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272" title="sgs_germano::sgs_germano\l_average" alt="" coords="240,5,427,47"/>
<area shape="rect" id="node3" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d" title="sgs_tools::sgsmodel\l_apply_border" alt="" coords="475,5,617,47"/>
</map>
</div>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_icgraph.png" border="0" usemap="#namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_icgraph" alt=""/></div>
<map name="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_icgraph" id="namespacesgs__germano_ad311760efc05bdc3fae6eb72f418a40b_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#aa2485df7aa7e8d70952f13e0070d7bc7" title="sgsmodel_m::sgsmodel\l_eddyvisc" alt="" coords="240,5,400,47"/>
</map>
</div>

</div>
</div>
<a id="a7a0c4e6accd64d19b23d64a7a3e8b564"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a0c4e6accd64d19b23d64a7a3e8b564">&#9670;&nbsp;</a></span>sgs_germano_average_zvar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sgs_germano::sgs_germano_average_zvar </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesgs__tools.html#a18875c1dac1fc188eb6e80058669ec55">sgs_tools::lm</a>, <a class="el" href="namespacesgs__tools.html#a2938ad644f88920e7cb653d280ae5306">sgs_tools::mm</a>, and <a class="el" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272">sgs_germano_average()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_cgraph.png" border="0" usemap="#namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_cgraph" alt=""/></div>
<map name="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_cgraph" id="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_cgraph">
<area shape="rect" id="node2" href="namespacesgs__germano.html#abee683dfe7259e09f880dab5d155d272" title="sgs_germano::sgs_germano\l_average" alt="" coords="240,5,427,47"/>
<area shape="rect" id="node3" href="namespacesgs__tools.html#a36ed3f0a5029c78b3e196e8304334b7d" title="sgs_tools::sgsmodel\l_apply_border" alt="" coords="475,5,617,47"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_icgraph.png" border="0" usemap="#namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_icgraph" alt=""/></div>
<map name="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_icgraph" id="namespacesgs__germano_a7a0c4e6accd64d19b23d64a7a3e8b564_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#a871523822ea10c6084074524c51e78c5" title="sgsmodel_m::sgsmodel_zvar" alt="" coords="240,111,432,138"/>
<area shape="rect" id="node3" href="namespacelink__vdf__routines.html#a64482d1e179a1c12b6aa4031d8f74db3" title="link_vdf_routines::\lsgsmodel_zvar_link" alt="" coords="502,5,639,47"/>
<area shape="rect" id="node4" href="namespacethf__sc__var__chi.html#a260a50b5b9b8f9529f201c67f6b11d37" title="Initialize Z^2 equation from dynamic model of ZVAR ! " alt="" coords="480,71,661,112"/>
<area shape="rect" id="node9" href="namespacethf__sc__var__chi.html#aac60246b66e84a9a50fe565d5706472e" title="Initialize ZVAR equation from dynamic model of ZVAR ! " alt="" coords="494,136,647,177"/>
<area shape="rect" id="node11" href="namespacethf__sc__var__chi.html#a650ca5a4c2dbc62ba648360853b112bd" title="Update scalar variance from dynamic model or SC^2 Eq. ! " alt="" coords="505,548,636,589"/>
<area shape="rect" id="node5" href="namespacethf__arts.html#a0c6cf259107a696d19833723c0d03ab9" title="thf_arts::thf_arts\l_zmix2_init_from_sgs" alt="" coords="955,71,1104,112"/>
<area shape="rect" id="node6" href="namespacearts__func.html#a1f8cfb8bd3fc06d379b0b9539554f0f3" title="arts_func::arts_done" alt="" coords="1159,98,1301,125"/>
<area shape="rect" id="node8" href="namespacearts__md__func.html#ae769c91ee17b1eb3fca8d426eb4d2b08" title="arts_md_func::arts\l_md_done" alt="" coords="1165,149,1295,191"/>
<area shape="rect" id="node7" href="namespacearts__cf__func.html#a124a555cb80b9d7e11fef0268f3ec046" title="arts_cf_func::arts\l_cf_done" alt="" coords="1368,91,1492,132"/>
<area shape="rect" id="node10" href="namespacethf__arts.html#a689f9badae83371941ce0409992cd5c4" title="thf_arts::thf_arts\l_zvar_init_from_sgs" alt="" coords="960,136,1099,177"/>
<area shape="rect" id="node12" href="namespacecombust__func.html#a68187994e8998ac79f0f9161e877fdec" title="generic prestep for combustion module (all solvers) ! &#160;cf thermofluid_prestep_lowMach/cf for specific..." alt="" coords="948,267,1111,308"/>
<area shape="rect" id="node25" href="namespacecombust__func.html#ac3e3b65fbd18528293109fe5f45ed495" title="Ignite the flow everywhere ! " alt="" coords="723,203,886,244"/>
<area shape="rect" id="node27" href="namespacecombust__ann.html#ac7e06aedfd9d7700ef4ecc5bcaad8296" title="generic initialization of ANN module (all solvers) ! &#160;cf. combust_ANN_init_lowMach for specific proce..." alt="" coords="725,388,884,429"/>
<area shape="rect" id="node35" href="namespacecombust__bs__chemtab.html#a30e79801772afd65fb18b252f3d367b9" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_bs_chemtab_init_lowMach for ..." alt="" coords="713,453,896,495"/>
<area shape="rect" id="node36" href="namespacecombust__fpva.html#a385c796648b9f027a7f6aa40fe1bbc92" title="Generic initialization of combustion module (all solvers) " alt="" coords="723,636,886,677"/>
<area shape="rect" id="node37" href="namespacecombust__multregime.html#a5b05fda90788d5402c3f5f2970867e6b" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_multregime_init_lowMach for ..." alt="" coords="717,701,892,743"/>
<area shape="rect" id="node38" href="namespacecombust__premixed.html#aa529d01bd11ffb421e0b6f682679cd19" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_premixed_init_lowMach for sp..." alt="" coords="709,767,900,808"/>
<area shape="rect" id="node39" href="namespacecombust__premrif.html#a410399def7a22b194682f21ce9886961" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_premrif_init_lowMach for spe..." alt="" coords="716,897,893,939"/>
<area shape="rect" id="node40" href="namespacecombust__rfpva.html#a93e6d5334978926ff26885e24d73a7d6" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_RFPVA_init_lowMach for speci..." alt="" coords="721,963,888,1004"/>
<area shape="rect" id="node41" href="namespacecombust__rif__m.html#ae153d04dc774e9b4e751b79cf1c2a839" title="combust_rif_m::rif_init" alt="" coords="729,585,880,611"/>
<area shape="rect" id="node42" href="namespacecombust__rif__m.html#a90e1a68312210d2ddea506ef1857ba29" title="combust_rif_m::rif\l_poststep" alt="" coords="741,323,868,364"/>
<area shape="rect" id="node49" href="namespacecombust__steadyfla.html#accd50d82bee6f2ede79557e9a5e0372f" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_steadyfla_init_lowMach for s..." alt="" coords="727,519,883,560"/>
<area shape="rect" id="node50" href="namespacecombust__uchi.html#a5eac996bbdba41f5f14bb80faf114403" title="generic initialization of combustion module (all solvers) ! &#160;cf. combust_uchi_init_lowMach for specif..." alt="" coords="724,832,885,873"/>
<area shape="rect" id="node13" href="namespacethf__arts.html#a0b0e7ec0dbbeb3102fbb1929ba680bea" title="procedures once before each time step (lowMach solver)! " alt="" coords="1171,251,1289,292"/>
<area shape="rect" id="node19" href="namespacethf__arts__cf.html#ae23f3eecf46ea7ebdfbd875d77663255" title="procedures once before each time step (compressible) ! " alt="" coords="1162,381,1298,423"/>
<area shape="rect" id="node14" href="namespacearts__md__simulation.html#a54c9be9087aaa530302677de8891f76e" title="arts_md_simulation\l::arts_md_prestep1" alt="" coords="1363,185,1497,227"/>
<area shape="rect" id="node16" href="namespacearts__simulation.html#aec55d8335ff12f6f09c546913bdb7882" title="arts_simulation::arts\l_prestep1" alt="" coords="1360,251,1500,292"/>
<area shape="rect" id="node15" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1573,193,1679,219"/>
<area shape="rect" id="node17" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1573,291,1679,318"/>
<area shape="rect" id="node18" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1741,291,1785,318"/>
<area shape="rect" id="node20" href="namespacearts__cf__md__simulation.html#ae7f167627e908c313b7b275ba7a9bf5b" title="arts_cf_md_simulation\l::arts_cf_md_prestep1" alt="" coords="1353,447,1507,488"/>
<area shape="rect" id="node22" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="1366,381,1494,423"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf__md_8f90.html#a0054f1ebddc6162b9c87dcfcb332e369" title="simulation_run" alt="" coords="1573,541,1679,567"/>
<area shape="rect" id="node23" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1573,483,1679,510"/>
<area shape="rect" id="node24" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1559,381,1693,423"/>
<area shape="rect" id="node26" href="namespacethf__arts.html#a333ce30828a0deab0efff6387fefb1e6" title="thf_arts::thf_arts\l_combust_ignite" alt="" coords="970,201,1089,243"/>
<area shape="rect" id="node28" href="namespacecombust__func.html#a557da94e3f7e991b5cc64fbf2be82a94" title="combust_func::combust\l_init_part1" alt="" coords="948,743,1111,784"/>
<area shape="rect" id="node29" href="namespacethf__arts.html#ad83aa8f674cbd91f1d9156c78c4745d0" title="initialize thermofluid module (lowMach solver) ! " alt="" coords="1159,717,1301,743"/>
<area shape="rect" id="node32" href="namespacethf__arts__cf.html#ad02588308144b96824c7ebda3a8c5440" title="initialize thermofluid module (compressible) ! " alt="" coords="1162,775,1298,816"/>
<area shape="rect" id="node30" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="1349,658,1511,685"/>
<area shape="rect" id="node31" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="1365,709,1495,751"/>
<area shape="rect" id="node33" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="1368,775,1492,816"/>
<area shape="rect" id="node34" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="1355,840,1505,881"/>
<area shape="rect" id="node43" href="namespacecombust__func.html#a9a20268b33764429d6f330c3940d86d6" title="generic step for combustion module (all solvers) ! &#160;cf. combust_model_poststep_lowMach/cf for specifi..." alt="" coords="948,332,1111,373"/>
<area shape="rect" id="node44" href="namespacethf__arts.html#ac2f8b5328ef6a51d6bd15b127e657520" title="procedures once during the iterations of each ! time step (lowMach solver) ! " alt="" coords="1171,316,1289,357"/>
<area shape="rect" id="node46" href="namespacethf__arts__cf.html#ad8f7d23c4b1e43bc68d48d38ef6c1ebf" title="thf_arts_cf::thf_arts\l_cf_poststep" alt="" coords="1162,512,1298,553"/>
<area shape="rect" id="node45" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="1360,316,1500,357"/>
<area shape="rect" id="node47" href="namespacearts__cf__md__simulation.html#ad7d44774ebe88f7a0faff855bec345d4" title="arts_cf_md_simulation\l::arts_cf_md_poststep" alt="" coords="1353,577,1507,619"/>
<area shape="rect" id="node48" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="1366,512,1494,553"/>
</map>
</div>

</div>
</div>
<a id="acb91a0f631d565f2db289f5abd7cc67e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb91a0f631d565f2db289f5abd7cc67e">&#9670;&nbsp;</a></span>sgs_germano_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sgs_germano::sgs_germano_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83">parser::end_of_a_param()</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, and <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_cgraph.png" border="0" usemap="#namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_cgraph" alt=""/></div>
<map name="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_cgraph" id="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="264,137,427,164"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="282,188,409,215"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="297,293,393,320"/>
<area shape="rect" id="node4" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="492,5,647,32"/>
<area shape="rect" id="node5" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="487,57,652,98"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="499,122,640,163"/>
<area shape="rect" id="node7" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="487,188,651,215"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="475,239,664,265"/>
<area shape="rect" id="node9" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="497,289,641,316"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="504,341,635,382"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_icgraph.png" border="0" usemap="#namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_icgraph" alt=""/></div>
<map name="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_icgraph" id="namespacesgs__germano_acb91a0f631d565f2db289f5abd7cc67e_icgraph">
<area shape="rect" id="node2" href="namespacesgsmodel__m.html#a5c6a68b76e3ecdae3a492f5fdea7ebe3" title="sgsmodel_m::sgsmodel_init" alt="" coords="264,5,448,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a7548d71f34c719ecb2b5502d098e1459"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7548d71f34c719ecb2b5502d098e1459">&#9670;&nbsp;</a></span>sd</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer, private sgs_germano::sd</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
